Subject: Re: [PATCH] commit: add --committer option

From: "brian m. carlson" <[email-masked]>
Date: Mon, 10 Nov 2025 18:01:57 +0000

On 2025-11-10 at 16:50:04, Phillip Wood wrote:
> On 09/11/2025 10:22, ZheNing Hu via GitGitGadget wrote:
> > From: ZheNing Hu <[email-masked]>
> > 
> >      This patch introduces the --committer option to git-commit, providing:
> >       1. Consistency with the existing --author option
> >       2. A more convenient alternative to environment variables
> >       3. Better support for automated workflows and scripts
> >       4. Improved user experience when managing multiple identities
> 
> What's the use case for the same person committing under different
> identities? We already have a config mechanism to set different identities
> for different repositories but I'm struggling to see why someone would want
> to create commits under multiple identities in a single repository. For
> scripts it easy enough to set the relevant environment variables if a tool
> wants to create commits under its own identity.

Someone who works on the same project under both their personal and
corporate identities.  For instance, me working on the Git project.

Some open source projects also require a CLA and you have to use a
particular address to match the one that's listed on the CLA.  For
example, Google requires an address with a Google account, so in the
hypothetical state where I was going to contribute to one of their
projects, I'd need to use a different committer identity with my Gmail
address.

I've also kept business logs in Git when I had a small business and I
might well need to log approving a profit distribution (with my
corporate address) and log accepting a profit distribution (with my
personal address).  Those would need separate digital signatures from my
two different email addresses.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA